# Request (sshj 0.5.0 API)
Date: 2011-07-27

## net.schmizz.sshj.sftp
Class Request

    java.lang.Object
      net.schmizz.sshj.common.Buffer<T>
          net.schmizz.sshj.sftp.SFTPPacket<Request>
              net.schmizz.sshj.sftp.Request

    public class Request

extends SFTPPacket<Request>

Nested Class Summary

Nested classes/interfaces inherited from class net.schmizz.sshj.common.Buffer
`Buffer.BufferException, Buffer.PlainBuffer`

Field Summary

Fields inherited from class net.schmizz.sshj.common.Buffer
`data, DEFAULT_SIZE, rpos, wpos`

Constructor Summary
`Request(PacketType type, long reqID)`

Method Summary
`long` `getRequestID()`
`Promise<Response,SFTPException>` `getResponsePromise()`
`PacketType` `getType()`
`String` `toString()`

Methods inherited from class net.schmizz.sshj.sftp.SFTPPacket
`putFileAttributes, putType, readFileAttributes, readType`

Methods inherited from class net.schmizz.sshj.common.Buffer

`array, available, clear, compact, ensureAvailable, ensureCapacity, getCompactData, getNextPowerOf2, printHex, putBoolean, putBuffer, putByte, putBytes, putBytes, putMPInt, putPublicKey, putRawBytes, putRawBytes, putSensitiveString, putSignature, putString, putString, putString, putUInt32, putUInt64, readBoolean, readByte, readBytes, readMPInt, readPublicKey, readRawBytes, readRawBytes, readString, readStringAsBytes, readUInt32, readUInt32AsInt, readUInt64, rpos, rpos, wpos, wpos`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Request

    public Request(PacketType type,
                   long reqID)

Method Detail

### getRequestID

    public long getRequestID()

### getType

    public PacketType getType()

### getResponsePromise

    public Promise<Response,SFTPException> getResponsePromise()

### toString

    public String toString()

  Overrides:
    `toString` in class `Buffer<Request>`

Copyright © 2009-2011. All Rights Reserved.